Subject: bug#10775: Feature request: avoid revert question in`find-file-noselect'

From: Eli Barzilay <[email-masked]>
Date: Wed, 15 Feb 2012 08:06:44 -0500

On Friday, Drew Adams wrote:
> Sounds similar to bug #10726.

Similar, but I don't think that it's the same bug.  In my case, I
really want the interactive version to avoid asking the question and
instead just show me a message about it; possibly with a `ding', maybe
even a non-macro-terminating one, which is what I hacked the function
to do in my own environment.  (In fact, that #10726 sounds like more
of a real bug, where this one is strictly a feature request.)

A nice way to resolve this would be to have a variable that can hold
`ask' to do the same as now, `nil' to do nothing, or a function that
will get called (making it possible to do more things like
automatically reverting the buffer).

I'd be happy to submit such a simple patch if it helps.

-- 
          ((lambda (x) (x x)) (lambda (x) (x x)))          Eli Barzilay:
                    http://barzilay.org/                   Maze is Life!